Internet Explorer users will need to upgrade to Edge in order to use Microsoft’s own web conferencing service

Microsoft has announced that as of November 30, Internet Explorer users will not be able to use Microsoft Teams unless they upgrade to Microsoft’s newer Edge browser. The move is part of Microsoft’s campaign to get people to upgrade to its Chromium-based Edge browser before IE reaches end of life in 2021. 

In addition, beginning August 17, 2021, the remaining Microsoft 365 apps and services will no longer support IE 11. This means that after the above dates, customers will have a degraded experience or will be unable to connect to Microsoft 365 apps and services on IE 11.

Failure to upgrade leads to “degraded experiences”

By degraded experiences, Microsoft means new 365 features will not be available or certain features may cease to work when accessing the app or service via IE 11. The company is therefore urging all customers to upgrade to the new Microsoft Edge. The company says it is working to make this transition as smooth as possible.

“Customers have been using IE 11 since 2013 when the online environment was much less sophisticated than the landscape today. Since then, open web standards and newer browsers—like the new Microsoft Edge—have enabled better, more innovative online experiences,” Microsoft explained in a blog post.

Microsoft believes that this change will benefit Microsoft 365 subscribers. It delivers faster and more responsive web access to greater sets of features in everyday toolsets like Outlook, Teams, SharePoint, and other apps.

Microsoft also phases out Edge Legacy support

Since Microsoft has started shipping the new Microsoft Edge, and upgraded most of their Windows 10 customers to the new browser, they are ending support for the Microsoft Edge Legacy desktop app. After March 9, 2021, the Microsoft Edge Legacy desktop app will not receive new security updates.

Apps and sites created for Microsoft Edge Legacy will continue to work in the new Microsoft Edge. If a compatibility issue does arise, users should access App Assure for support.